import styled from "styled-components";
import { Box  } from "@mui/material";

export const UserPage = styled(Box)`
  width: 90%;
  margin: 80px auto;
`;


export const StyledUserProfile = styled(Box)`
  display: flex;
  width: 70%;
  margin: 0 auto;
`;

export const ProfileAvatar = styled(Box)`
  & img {
    border-radius: 50%;
    width: 300px;
    height: 300px;
  }
`;

export const UserProfileDescription = styled(Box)`
  display: flex;
  flex-direction: column;
  margin: 0 auto;
`;

export const ProfileName = styled(Box)`
  margin: 0 auto;
`;

export const ProfileInfo = styled(Box)`
  display: flex;
  cursor: pointer;

  & p {
    margin: 20px;
  }
`;

export const UserPagePosts = styled(Box)`
  display: flex;
  flex-wrap: wrap;
  border-top: 1px solid #b8b4b4;
  margin-top: 30px;

  & img {
    width: 300px;
    height: 300px;
  }
`;

export const PostImage = styled(Box)`
  width: 350px;
  height: 350px;
  margin: 20px;
`;
